local lighthouse_event_frame = CreateFrame("Frame");
lighthouse_event_frame:RegisterEvent("ADDON_LOADED");

function lighthouse_event_frame:OnEvent(event, addon)
	if addon == "Watchtower" then
		
		lighthouse_event_frame:RegisterEvent("GARRISON_SHIPYARD_NPC_OPENED");
		lighthouse_event_frame:RegisterEvent("GARRISON_FOLLOWER_LIST_UPDATE");
		
		lighthouse_event_frame:SetScript("OnEvent", function(self, event)
		
			if event == "GARRISON_SHIPYARD_NPC_OPENED" then
				
				MakeMovable(GarrisonShipyardFrame);
				lighthouseFrame();
				shipSync();
				
			elseif event == "GARRISON_FOLLOWER_LIST_UPDATE" then
				
				if GarrisonShipyardFrame:IsShown() == true then
					
					shipSync();
					
				end
			
			end
			
		end)
		
	end
end

lighthouse_event_frame:SetScript("OnEvent", lighthouse_event_frame.OnEvent);