SchematicsDB = {};

SchematicsDB.patterns = {
	
	{name = "S_Bilge_Pump",
		title = "Bilge Pump",
		npc = "Belgork",
		loc_x = 35.4,
		loc_y = 46.8,
		status = false,
		self_anchor = "TOPLEFT",
		relativeto = "S_Graph",
		parent_anchor = "TOPLEFT",
		x_offset = 15,
		y_offset = -70,
		icon = "Interface\\ICONS\\INV_Eng_Gizmo2.blp",
		macrotext = "/way Tanaan Jungle 35.4 46.8 Belgork - Bilge Pump (Counters: Stormy Weather)",
	},
	
	{name = "S_Ghostly_Spyglass",
		title = "Ghostly Spyglass",
		npc = "Captain Ironbeard",
		loc_x = 37.5,
		loc_y = 76.0,
		status = false,
		self_anchor = "TOP",
		relativeto = "S_Bilge_Pump",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		icon = "Interface\\ICONS\\INV_Misc_Spyglass_02.blp",
		macrotext = "/way Tanaan Jungle 37.5 76.0 Captain Ironbeard (cave entrance) - Ghostly Spyglass (Counters: Cursed  Crew)",
	},
	
	{name = "S_Ice_Cutter",
		title = "Ice Cutter",
		npc = "Cindral the Wildfire",
		loc_x = 44.6,
		loc_y = 37.8,
		status = false,
		self_anchor = "TOP",
		relativeto = "S_Ghostly_Spyglass",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		icon = "Interface\\ICONS\\Ability_Siege_Engineer_Superheated.blp",
		macrotext = "/way Tanaan Jungle 44.6 37.8 Cindral the Wildfire - Ice Cutter (Counters: Icy Water)",
	},
	
	{name = "S_Felsmoke_Launcher",
		title = "Felsmoke Launcher",
		npc = "Felsmith Damorka",
		loc_x = 45.8,
		loc_y = 47.0,
		status = false,
		self_anchor = "TOP",
		relativeto = "S_Ice_Cutter",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		icon = "Interface\\ICONS\\Ability_Monk_RenewingMists.blp",
		macrotext = "/way Tanaan Jungle 45.8 47.0 Felsmith Damorka - Felsmoke Launcher (Counters: First Strike)",
	},
	
	{name = "S_Trained_Shark_Tank",
		title = "Trained Shark Tank",
		npc = "Savage Whale Shark",
		loc_x = 38.0,
		loc_y = 30.0,
		status = false,
		self_anchor = "TOP",
		relativeto = "S_Felsmoke_Launcher",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		icon = "Interface\\ICONS\\INV_Pet_BabyShark.blp",
		macrotext = "/way Tanaan Jungle 38.0 30.0 Savage Whale Shark - Trained Shark Tank (Counters: Minelayer)",
	},
	
	{name = "S_High_Intensity_Fog_Lights",
		title = "High Intensity Fog Lights",
		npc = "Xanzith the Everlasting",
		loc_x = 60.2,
		loc_y = 21.0,
		status = false,
		self_anchor = "LEFT",
		relativeto = "S_Bilge_Pump",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		icon = "Interface\\ICONS\\Paladin_icon_speedoflight.blp",
		macrotext = "/way Tanaan Jungle 60.2 21.0 Xanzith the Everlasting - High Intensity Fog Lights (Counters: Dense Fog)",
	},
	
	{name = "S_True_Iron_Rudder",
		title = "True Iron Rudder",
		npc = "Zoug the Heavy",
		loc_x = 37.0,
		loc_y = 33.0,
		status = false,
		self_anchor = "TOP",
		relativeto = "S_High_Intensity_Fog_Lights",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		icon = "Interface\\ICONS\\INV_Eng_MechanicalBoomerang2.blp",
		macrotext = "/way Tanaan Jungle 37.0 33.0 Zoug the Heavy - True Iron Rudder (Counters: Evasive)",
	},
	
	{name = "S_Gyroscopic_Internal_Stabilizer",
		title = "Gyroscopic Internal Stabilizer",
		npc = "Iron Reaver",
		--loc_x = 0,
		--loc_y = 0,
		status = false,
		self_anchor = "TOP",
		relativeto = "S_True_Iron_Rudder",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		icon = "Interface\\ICONS\\ability_mount_rocketmount4.blp",
	},
	
	{name = "S_Unsinkable",
		title = "Unsinkable",
		npc = "Vendor",
		--loc_x = 0,
		--loc_y = 0,
		status = false,
		self_anchor = "TOP",
		relativeto = "S_Gyroscopic_Internal_Stabilizer",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		icon = "Interface\\ICONS\\Ability_Paladin_SavedByTheLight.blp",
	},
	
	{name = "S_Tuskarr_Fishing_Net",
		title = "Tuskarr Fishing Net",
		npc = "Vendor",
		--loc_x = 0,
		--loc_y = 0,
		status = false,
		self_anchor = "TOP",
		relativeto = "S_Unsinkable",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		icon = "Interface\\ICONS\\INV_Misc_Net_01.blp",
	},
	
	
	
}